Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator
Class PolicyDocument

    java.lang.Object
      org.deegree.security.owsrequestvalidator.PolicyDocument

    public class PolicyDocument

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`PolicyDocument(Document doc)`
`PolicyDocument(URL url)`

Method Summary
`Policy` | `getPolicy()` returns the `Policy` created from the encapsulated DOM abject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyDocument

    public PolicyDocument(URL url)
                   throws SecurityConfigurationException

Parameters:
  `url` -
Throws:
  `SecurityConfigurationException`

### PolicyDocument

    public PolicyDocument(Document doc)
                   throws SecurityConfigurationException

Parameters:
  `doc` - document containing a policy document
Throws:
  `SecurityConfigurationException`

Method Detail

### getPolicy

    public Policy getPolicy()
                     throws SecurityConfigurationException,
                            XMLParsingException

  returns the `Policy` created from the encapsulated DOM abject.

  Returns:
    the `Policy` created from the encapsulated DOM abject.
  Throws:
    `SecurityConfigurationException`
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org